Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:33 2009

## Asterisk developer's documentation

# ast_vm_user Struct Reference

Collaboration diagram for ast_vm_user:

[legend]

## Data Fields

char | callback [80]
char | context [AST_MAX_CONTEXT]
char | dialout [80]
char | email [80]
char | exit [80]
unsigned int | flags
char | fullname [80]
char | language [MAX_LANGUAGE]
char | mailbox [AST_MAX_EXTENSION]
char | mailcmd [160]
int | maxmsg
struct ast_vm_user * | next
char | pager [80]
char | password [80]
int | saydurationm
char | serveremail [80]
char | uniqueid [20]
char | zonetag [80]

## Detailed Description

Structure for linked list of users

Definition at line 215 of file app_voicemail.c.

## Field Documentation

char callback[80]

Definition at line 226 of file app_voicemail.c.

Referenced by advanced_options(), apply_option(), populate_defaults(), and vm_execmain().

char context[AST_MAX_CONTEXT]

Voicemail context

Definition at line 216 of file app_voicemail.c.

Referenced by advanced_options(), append_mailbox(), close_mailbox(), complete_show_voicemail_users(), copy_message(), find_user_realtime(), handle_show_voicemail_users(), leave_voicemail(), notify_new_message(), open_mailbox(), play_record_review(), resequence_mailbox(), reset_user_pw(), vm_change_password(), vm_change_password_shell(), vm_execmain(), vm_newuser(), vm_options(), vm_tempgreeting(), and vmauthenticate().

char dialout[80]

Definition at line 227 of file app_voicemail.c.

Referenced by advanced_options(), apply_option(), populate_defaults(), and vm_execmain().

char email[80]

E-mail address

Definition at line 220 of file app_voicemail.c.

Referenced by append_mailbox(), find_user_realtime(), notify_new_message(), and sendmail().

char exit[80]

Definition at line 229 of file app_voicemail.c.

Referenced by apply_option(), leave_voicemail(), and populate_defaults().

unsigned int flags

VM_ flags

Definition at line 230 of file app_voicemail.c.

char fullname[80]

Full name, for directory app

Definition at line 219 of file app_voicemail.c.

Referenced by append_mailbox(), find_user_realtime(), handle_show_voicemail_users(), prep_email_sub_vars(), and sendmail().

char language[MAX_LANGUAGE]

Config: Language setting

Definition at line 224 of file app_voicemail.c.

Referenced by apply_option(), and vm_execmain().

char mailbox[AST_MAX_EXTENSION]

Mailbox id, unique within vm context

Definition at line 217 of file app_voicemail.c.

Referenced by append_mailbox(), close_mailbox(), copy_message(), find_user_realtime(), forward_message(), handle_show_voicemail_users(), leave_voicemail(), notify_new_message(), play_record_review(), resequence_mailbox(), reset_user_pw(), sendmail(), vm_change_password(), vm_change_password_shell(), vm_execmain(), and vm_forwardoptions().

char mailcmd[160]

Configurable mail command

Definition at line 223 of file app_voicemail.c.

int maxmsg

Maximum number of msgs per folder for this mailbox

Definition at line 232 of file app_voicemail.c.

Referenced by apply_option(), close_mailbox(), last_message_index(), leave_voicemail(), populate_defaults(), resequence_mailbox(), save_to_folder(), and vm_execmain().

struct ast_vm_user* next`[read]`

Definition at line 233 of file app_voicemail.c.

Referenced by append_mailbox(), complete_show_voicemail_users(), find_user(), forward_message(), handle_show_voicemail_users(), load_config(), and reset_user_pw().

char pager[80]

E-mail address to pager (no attachment)

Definition at line 221 of file app_voicemail.c.

Referenced by append_mailbox(), find_user_realtime(), and notify_new_message().

char password[80]

Secret pin code, numbers only

Definition at line 218 of file app_voicemail.c.

Referenced by append_mailbox(), change_password_realtime(), find_user_realtime(), reset_user_pw(), vm_authenticate(), vm_change_password(), vm_change_password_shell(), vm_execmain(), and vm_options().

int saydurationm

Definition at line 231 of file app_voicemail.c.

Referenced by apply_option(), play_message(), and populate_defaults().

char serveremail[80]

From: Mail address

Definition at line 222 of file app_voicemail.c.

Referenced by apply_option(), and notify_new_message().

char uniqueid[20]

Unique integer identifier

Definition at line 228 of file app_voicemail.c.

Referenced by change_password_realtime(), and find_user_realtime().

char zonetag[80]

Time zone

Definition at line 225 of file app_voicemail.c.

Referenced by apply_option(), handle_show_voicemail_users(), play_message_datetime(), sendmail(), and sendpage().

The documentation for this struct was generated from the following file:

- app_voicemail.c